commit 210c3901749a245dc45f04da3dac70ef126e6762
Author: Feng Xue <fxue@os.amperecomputing.com>
Date:   Thu Sep 23 03:14:33 2021

    Fix value uninitialization in vn_reference_insert_pieces [PR102400]
    
    2021-09-23  Feng Xue  <fxue@os.amperecomputing.com>
    
    gcc/
            PR tree-optimization/102400
            * tree-ssa-sccvn.c (vn_reference_insert_pieces): Initialize
            result_vdef to zero value.

diff --git a/gcc/tree-ssa-sccvn.c b/gcc/tree-ssa-sccvn.c
index a50bd6e3978..07a52887b6b 100644
--- a/gcc/tree-ssa-sccvn.c
+++ b/gcc/tree-ssa-sccvn.c
@@ -3797,6 +3797,7 @@ vn_reference_insert_pieces (tree vuse, alias_set_type set,
   if (result && TREE_CODE (result) == SSA_NAME)
     result = SSA_VAL (result);
   vr1->result = result;
+  vr1->result_vdef = NULL_TREE;
 
   slot = valid_info->references->find_slot_with_hash (vr1, vr1->hashcode,
 						      INSERT);

